org.apache.cassandra.transport

## Class Frame.Encoder

- java.lang.Object
- - org.jboss.netty.handler.codec.oneone.OneToOneEncoder
  - - org.apache.cassandra.transport.Frame.Encoder

All Implemented Interfaces:
  org.jboss.netty.channel.ChannelDownstreamHandler, org.jboss.netty.channel.ChannelHandler

Enclosing class:
  Frame

    public static class Frame.Encoder
    extends org.jboss.netty.handler.codec.oneone.OneToOneEncoder

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

`org.jboss.netty.channel.ChannelHandler.Sharable`

### Constructor Summary

Constructors
Constructor and Description
`Frame.Encoder()`

### Method Summary

Methods
`java.lang.Object` `encode(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.Channel channel, java.lang.Object msg)`

### Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneEncoder

`doEncode, handleDownstream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Frame.Encoder

    public Frame.Encoder()

### Method Detail

#### encode

    public java.lang.Object encode(org.jboss.netty.channel.ChannelHandlerContext ctx,
                          org.jboss.netty.channel.Channel channel,
                          java.lang.Object msg)
                            throws java.io.IOException

Specified by:
  `encode` in class `org.jboss.netty.handler.codec.oneone.OneToOneEncoder`
Throws:
  `java.io.IOException`